
#version 460

layout (location = 0) in vec3 _pos;
layout (location = 1) in vec2 _uv_in;
layout (location = 2) in float _hsv_in;

out vec2 _uv_out;
out float _hsv_vertex;
uniform mat4 _transform;

void main() {
	_uv_out = _uv_in;
	_hsv_vertex = _hsv_in;
	gl_Position = _transform * vec4(_pos, 1.0);
}
